diff -urNp -X dontdiff /home/devel/soekris/uclibc/buildroot/build_i386/linux-2.6.10-ocf20041211/crypto/ocf/crypto.c 2.6.10/crypto/ocf/crypto.c
--- /home/devel/soekris/uclibc/buildroot/build_i386/linux-2.6.10-ocf20041211/crypto/ocf/crypto.c	2005-01-31 16:58:15.000000000 +0100
+++ 2.6.10/crypto/ocf/crypto.c	2005-01-31 23:24:09.577896736 +0100
@@ -157,7 +157,8 @@ crypto_newsession(u_int64_t *sid, struct
 {
 	struct cryptoini *cr;
 	u_int32_t hid, lid;
-	int err = EINVAL, d_flags;
+	unsigned long d_flags;
+	int err = EINVAL;
 
 	dprintk("%s()\n", __FUNCTION__);
 	CRYPTO_DRIVER_LOCK();
@@ -242,7 +243,8 @@ int
 crypto_freesession(u_int64_t sid)
 {
 	u_int32_t hid;
-	int err, d_flags;
+	int err;
+	unsigned long d_flags;
 
 	dprintk("%s()\n", __FUNCTION__);
 	CRYPTO_DRIVER_LOCK();
@@ -291,7 +293,8 @@ int32_t
 crypto_get_driverid(u_int32_t flags)
 {
 	struct cryptocap *newdrv;
-	int i, d_flags;
+	int i;
+	unsigned long d_flags;
 
 	dprintk("%s()\n", __FUNCTION__);
 
@@ -371,7 +374,8 @@ crypto_kregister(u_int32_t driverid, int
     void *karg)
 {
 	struct cryptocap *cap;
-	int err, d_flags;
+	int err;
+	unsigned long d_flags;
 
 	dprintk("%s()\n", __FUNCTION__);
 	CRYPTO_DRIVER_LOCK();
@@ -418,7 +422,8 @@ crypto_register(u_int32_t driverid, int 
     void *arg)
 {
 	struct cryptocap *cap;
-	int err, d_flags;
+	int err;
+	unsigned long d_flags;
 
 	dprintk("%s()\n", __FUNCTION__);
 	CRYPTO_DRIVER_LOCK();
@@ -467,7 +472,8 @@ crypto_register(u_int32_t driverid, int 
 int
 crypto_unregister(u_int32_t driverid, int alg)
 {
-	int i, err, d_flags;
+	int i, err;
+	unsigned long d_flags;
 	u_int32_t ses;
 	struct cryptocap *cap;
 
@@ -515,7 +521,8 @@ crypto_unregister(u_int32_t driverid, in
 int
 crypto_unregister_all(u_int32_t driverid)
 {
-	int i, err, d_flags;
+	int i, err;
+	unsigned long d_flags;
 	u_int32_t ses;
 	struct cryptocap *cap;
 
@@ -553,7 +560,8 @@ int
 crypto_unblock(u_int32_t driverid, int what)
 {
 	struct cryptocap *cap;
-	int needwakeup, err, q_flags;
+	int needwakeup, err;
+	unsigned long q_flags;
 
 	dprintk("%s()\n", __FUNCTION__);
 	CRYPTO_Q_LOCK();
@@ -584,9 +592,11 @@ crypto_unblock(u_int32_t driverid, int w
 int
 crypto_dispatch(struct cryptop *crp)
 {
-	u_int32_t hid = CRYPTO_SESID2HID(crp->crp_sid);
-	int result, q_flags;
+	u_int32_t hid;
+	int result;
+	unsigned long q_flags;
 
+	hid = CRYPTO_SESID2HID(crp->crp_sid);
 	dprintk("%s()\n", __FUNCTION__);
 
 	cryptostats.cs_ops++;
@@ -651,7 +661,8 @@ int
 crypto_kdispatch(struct cryptkop *krp)
 {
 	struct cryptocap *cap;
-	int result, q_flags;
+	int result;
+	unsigned long q_flags;
 
 	dprintk("%s()\n", __FUNCTION__);
 	cryptostats.cs_kops++;
@@ -876,7 +887,8 @@ crypto_done(struct cryptop *crp)
 		 */
 		crp->crp_callback(crp);
 	} else {
-		int wasempty, r_flags;
+		int wasempty;
+		unsigned long r_flags;
 		/*
 		 * Normal case; queue the callback for the thread.
 		 */
@@ -896,7 +908,8 @@ crypto_done(struct cryptop *crp)
 void
 crypto_kdone(struct cryptkop *krp)
 {
-	int wasempty, r_flags;
+	int wasempty;
+	unsigned long r_flags;
 
 	if (krp->krp_status != 0)
 		cryptostats.cs_kerrs++;
@@ -912,7 +925,10 @@ crypto_kdone(struct cryptkop *krp)
 int
 crypto_getfeat(int *featp)
 {
-	int hid, kalg, feat = 0, d_flags;
+	int hid, kalg, feat;
+	unsigned long d_flags;
+
+	feat = 0;
 
 	if (!crypto_userasymcrypto)
 		goto out;	  
@@ -945,7 +961,8 @@ crypto_proc(void *arg)
 	struct cryptop *crp, *submit;
 	struct cryptkop *krp, *krpp;
 	struct cryptocap *cap;
-	int result, hint, q_flags;
+	int result, hint;
+	unsigned long q_flags;
 
 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
 	daemonize();
@@ -1100,7 +1117,7 @@ crypto_ret_proc(void *arg)
 {
 	struct cryptop *crpt;
 	struct cryptkop *krpt;
-	int r_flags;
+	unsigned long r_flags;
 
 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
 	daemonize();
@@ -1236,7 +1253,7 @@ static void
 crypto_exit(void)
 {
 	pid_t p;
-	int d_flags;
+	unsigned long d_flags;
 
 	dprintk("%s()\n", __FUNCTION__);
 	/*
